#!/bin/bash

# Here the dates are written numerically manually, and MMMDD names are 
# written into two auxiliary files - these are then edited into further scripts
#  for producing pdftk outputs

LC_ALL="C"

Ye=2020

rm MonDa.txt
rm MonDaLat.txt

for MoDa in \
01-01 \
01-28 \
02-26 \
03-27 \
04-26 \
05-25 \
06-23 \
07-23 \
08-22 \
09-21 \
10-21 \
11-20 \
12-19


do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo ${MoNDa}*.pdf \\ >>MonDa.txt
echo ${MoNDa}\${LA}.pdf \\ >>MonDaLat.txt

done
