# Making symlinks from date directories to latitude directories
#  and assembling all directional maps to a single pdf for the latitude

mkdir latitudes

LC_ALL="C"

Ye=2022

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 
  
#   for D in \
#Jan15 Feb13 Mar15 Apr13 May13 Jun12 Jul11 Aug09 Sep07 Oct07 Nov06 Dec06


for MoDa in \
01-01 \
01-28 \
02-26 \
03-27 \
04-26 \
05-25 \
06-23 \
07-23 \
08-22 \
09-21 \
10-21 \
11-20 \
12-19

do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

 
#   for C in Ori Leo Cet Crux Cyg Her Per Sco Sgr Peg Boo Gru
    for C in Ori Tau CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg

    do
     if [ -f ../../$MoNDa/$C/$LA.pdf ] 
     then
     ln -sf ../../$MoNDa/$C/$LA.pdf  ${MoNDa}$C.pdf 
     fi
    done 
   done

   pdftk \
Jan01*.pdf \
Jan28*.pdf \
Feb26*.pdf \
Mar27*.pdf \
Apr26*.pdf \
May25*.pdf \
Jun23*.pdf \
Jul23*.pdf \
Aug22*.pdf \
Sep21*.pdf \
Oct21*.pdf \
Nov20*.pdf \
Dec19*.pdf \
         cat output ${LA}.pdf
# the above list is an output of MonDa.sh 
   
  cd ..

 done

cd ..
